Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Class ApplicationInfo.ComponentType

    java.lang.Object
      weblogic.security.spi.ApplicationInfo.ComponentType

Enclosing class:
  ApplicationInfo

public static class ApplicationInfo.ComponentType
extends Object

A `ComponentType` represents the component type for the application that is being deployed and is used within an `ApplicationInfo` interface.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static ApplicationInfo.ComponentType` | `APPLICATION` Indicates that component type is an Application.
`static ApplicationInfo.ComponentType` | `CONTROL_RESOURCE` Indicates that component type is a ControlResource.
`static ApplicationInfo.ComponentType` | `EJB` Indicates that component type is an EJB.
`static ApplicationInfo.ComponentType` | `WEBAPP` Indicates that component type is a WebApp.

Method Summary
`String` | `getName()` Obtain the name of the component type.
`String` | `toString()` Output the name of the component type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPLICATION

    public static final ApplicationInfo.ComponentType APPLICATION

  Indicates that component type is an Application.

### CONTROL_RESOURCE

    public static final ApplicationInfo.ComponentType CONTROL_RESOURCE

  Indicates that component type is a ControlResource.

### EJB

    public static final ApplicationInfo.ComponentType EJB

  Indicates that component type is an EJB.

### WEBAPP

    public static final ApplicationInfo.ComponentType WEBAPP

  Indicates that component type is a WebApp.

Method Detail

### getName

    public String getName()

  Obtain the name of the component type.

### toString

    public String toString()

  Output the name of the component type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD